Installation de la Debian 9 sur un LENOVO Thinkcentre m700.

Après avoir eu une alerte sur mon PC équipé d’Ubuntu que ma partition / était presque pleine, je me suis mis dans l’idée de redimensionner les partitions avec GPARTED.

Bon ça a échoué … Heureusement j’avais fait quelques backups :). Pour faire simple, j’ai tout réinstallé.
J’en ai profité pour revenir à mes premières amours : Debian ! Je n’ai pas pu l’installer avant la version 9 car la version du noyau était trop ancienne pour l’architecture de mon PC LENOVO Thinkcentre m700.

 

La procédure d’installation est décrite ici.

Tout fonctionne bien ( carte son, vidéo, réseau, …) . Pour le support du WIFI, il faut ajouter les firmwares propriétaires ( voir ci-dessous).

Voici ce que j’ai fait post installation :

Localisation

J’ai eu un problème. Le clavier était en QWERTY alors que j’ai bien spécifié AZERTY pendant l’installation.

La documentation Debian est disponible ici.

Voila ce que j’ai fait

# apt-get install console-data
# loadkeys fr-pc
# dpkg-reconfigure console-data
# dpkg-reconfigure keyboard-configuration
# service keyboard-setup restart
# udevadm trigger --subsystem-match=input --action=change

Divers

Voici une liste de paquets / logiciels que j’installe régulièrement:

# apt-get install ttf-mscorefonts-installer easytag tuxguitar-jsa htop frescobaldi gparted grsync ntfs-config chromium autofs openjdk-8-jdk openjdk-8-jre

Lilypond

Lilypond n’est pas dans Stretch. J’ai donc utilisé l’installeur pour l’installer.

# sh lilypond-2.18.2-1.linux-64.sh

Spotify

Il faut télécharger au préalable le package libssl1 et l’installer.

# dpkg -i libssl1.0.0_1.0.1t-1+deb8u7_amd64.deb

Et lancer les commandes :

# echo deb http://repository.spotify.com stable non-free | tee /etc/apt/sources.list.d/spotify.list
# apt-get update
# apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys
# apt-get update
# apt-get install spotify-client

Atom

J’ai téléchargé le paquet depuis le site d’atom et lancé la commande

# dpkg -i atom.deb

Firefox 57

Les dernières versions de firefox ne sont pas dans le repository alternatif

# cp ~/Téléchargements/firefox-57.0.tar.bz2 /usr/local
# cd /usr/local
# tar -jxf firefox-57.0.tar.bz2
# ls
# rm firefox-57.0.tar.bz2
# chown -R :users firefox
# chmod a+x firefox/firefox
# mv /usr/lib/firefox-esr/firefox-esr /usr/lib/firefox-esr/firefox-esr_orig
# ln -s /usr/local/firefox/firefox /usr/lib/firefox-esr/firefox-esr

Droits utilisateur

J’ai ajouté les droits cdrom floppy users bluetooth à tous les utilisateurs

Autofs

J’utilise autofs pour les connexions nfs et cifs. La documentation est décrite dans cet article.

Firmware WIFI

Pour faire fonctionner le wifi. Il faut ajouter les firmwares non libre ( il faut ajouter le repo non-free).

# apt-get install firmware-iwlwifi

VirtualBox

 

# vi /etc/apt/sources.list.d/virtualbox.list

Ajout du repository

deb http://download.virtualbox.org/virtualbox/debian stretch contrib

Et lancer les commandes

# wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | apt-key add -
# apt-get udpate
# apt-get install virtualbox-5.2

 

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *